| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
BadAcknowledgmentException Class Reference

An Exception used when a bad acknowledgment error is detected. More...

`#include <BadAcknowledgmentException.h>`

Inheritance diagram for BadAcknowledgmentException:

## Public Member Functions
| BadAcknowledgmentException (const char *message, const char *translateCode)
| Copy constructor.
| BadAcknowledgmentException (const string &message, string translateCode)
| Copy constructor.
virtual | ~BadAcknowledgmentException () noexcept
| Destructor.
virtual const char * | what () const noexcept
| Overload of message retrie.

## Protected Attributes
string | _msg

## Detailed Description

An Exception used when a bad acknowledgment error is detected.

## Constructor & Destructor Documentation

## ◆ BadAcknowledgmentException() [1/2]

BadAcknowledgmentException::BadAcknowledgmentException | ( | const char * | message,
|  | const char * | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message pointer to a char

## ◆ BadAcknowledgmentException() [2/2]

BadAcknowledgmentException::BadAcknowledgmentException | ( | const string & | message,
|  | string | translateCode )
| inline explicit

Copy constructor.

Parameters

  message | A message string

## ◆ ~BadAcknowledgmentException()

virtual BadAcknowledgmentException::~BadAcknowledgmentException | ( |  | ) |
| inline virtual noexcept

Destructor.

Returns

## Member Function Documentation

## ◆ what()

virtual const char * BadAcknowledgmentException::what | ( |  | ) | const
| inline virtual noexcept

Overload of message retrie.

Returns
  A pointer to a char representing the message

## Member Data Documentation

## ◆ _msg

string BadAcknowledgmentException::_msg
| protected

The documentation for this class was generated from the following file:

- BadAcknowledgmentException.h